kr.co.hanwha.hifive.screen.main.project

## Class MainProjectFragment

- java.lang.Object
- - android.app.Fragment
  - - kr.co.hanwha.hifive.base.BaseFragment
    - - kr.co.hanwha.hifive.screen.main.project.MainProjectFragment

- All Implemented Interfaces:
    android.content.ComponentCallbacks, android.content.ComponentCallbacks2, android.view.View.OnCreateContextMenuListener, BaseView<MainHomeContract.Presenter>, MainProjectContract.View

      public class MainProjectFragment
      extends BaseFragment
      implements MainProjectContract.View

  메인 - Project View

  See Also:
    `Created by sanghoonkwon on 2018. 2. 19..`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class android.app.Fragment

      `android.app.Fragment.InstantiationException, android.app.Fragment.SavedState`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private MainProjectListAdapter` | `mAdapterList`
    `private MainProjectPresenter` | `mPresenter`
    `private int` | `mProjectId`
    `private android.support.v7.widget.RecyclerView` | `mRecyclerView`
    `private android.support.v4.widget.SwipeRefreshLayout` | `mRefreshLayout`
    `private android.widget.TextView` | `mTextViewEmpty`
    `private android.view.View` | `mViewBackground`
    `(package private) android.view.View.OnClickListener` | `onClickListener` View.OnClickListener
    `(package private) MainProjectListContract.OnMainProjectListListener` | `onMainProjectListListener` MainProjectContract.OnMainProjectListListener
    `(package private) android.support.v4.widget.SwipeRefreshLayout.OnRefreshListener` | `onRefreshListener` SwipeRefreshLayout.OnRefreshListener

    - ### Fields inherited from interface android.content.ComponentCallbacks2

      `TRIM_MEMORY_BACKGROUND, TRIM_MEMORY_COMPLETE, TRIM_MEMORY_MODERATE, TRIM_MEMORY_RUNNING_CRITICAL, TRIM_MEMORY_RUNNING_LOW, TRIM_MEMORY_RUNNING_MODERATE, TRIM_MEMORY_UI_HIDDEN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MainProjectFragment()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `android.view.View` | `onCreateView(android.view.LayoutInflater inflater, android.view.ViewGroup container, android.os.Bundle savedInstanceState)`
    `void` | `onResume()`
    `void` | `setBackgroundView(boolean visible)` 자연스러운 화면 전환을 위해 흰 배경 처리
    `void` | `setEmptyView(boolean empty)` 소속된 유닛이 없을 경우
    `void` | `setProjectId(int projectId)`
    `void` | `setRefreshing(boolean refreshing)` View

    - ### Methods inherited from class kr.co.hanwha.hifive.base.BaseFragment

      `onCreate, showAlert, showAlert, showAlert, showAlert, showAlert, showAlert, showLoadingDialog, showToast, showToast, showToast, showToastAlert, showToastAlert, showToastConfirm, showToastConfirm, showToastEmpty, showToastEmpty, showToastImpossible, showToastImpossible`

    - ### Methods inherited from class android.app.Fragment

      `dump, equals, getActivity, getAllowEnterTransitionOverlap, getAllowReturnTransitionOverlap, getArguments, getChildFragmentManager, getContext, getEnterTransition, getExitTransition, getFragmentManager, getHost, getId, getLayoutInflater, getLoaderManager, getParentFragment, getReenterTransition, getResources, getRetainInstance, getReturnTransition, getSharedElementEnterTransition, getSharedElementReturnTransition, getString, getString, getTag, getTargetFragment, getTargetRequestCode, getText, getUserVisibleHint, getView, hashCode, instantiate, instantiate, isAdded, isDetached, isHidden, isInLayout, isRemoving, isResumed, isStateSaved, isVisible, onActivityCreated, onActivityResult, onAttach, onAttach, onAttachFragment, onConfigurationChanged, onContextItemSelected, onCreateAnimator, onCreateContextMenu, onCreateOptionsMenu, onDestroy, onDestroyOptionsMenu, onDestroyView, onDetach, onGetLayoutInflater, onHiddenChanged, onInflate, onInflate, onInflate, onLowMemory, onMultiWindowModeChanged, onMultiWindowModeChanged, onOptionsItemSelected, onOptionsMenuClosed, onPause, onPictureInPictureModeChanged, onPictureInPictureModeChanged, onPrepareOptionsMenu, onRequestPermissionsResult, onSaveInstanceState, onStart, onStop, onTrimMemory, onViewCreated, onViewStateRestored, postponeEnterTransition, registerForContextMenu, requestPermissions, setAllowEnterTransitionOverlap, setAllowReturnTransitionOverlap, setArguments, setEnterSharedElementCallback, setEnterTransition, setExitSharedElementCallback, setExitTransition, setHasOptionsMenu, setInitialSavedState, setMenuVisibility, setReenterTransition, setRetainInstance, setReturnTransition, setSharedElementEnterTransition, setSharedElementReturnTransition, setTargetFragment, setUserVisibleHint, shouldShowRequestPermissionRationale, startActivity, startActivity, startActivityForResult, startActivityForResult, startIntentSenderForResult, startPostponedEnterTransition, toString, unregisterForContextMenu`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface kr.co.hanwha.hifive.base.BaseView

      `showAlert, showAlert, showAlert, showAlert, showAlert, showAlert, showLoadingDialog, showToast, showToastAlert, showToastConfirm, showToastEmpty, showToastImpossible`

- - ### Field Detail

    - #### mRefreshLayout

          private android.support.v4.widget.SwipeRefreshLayout mRefreshLayout

    - #### mRecyclerView

          private android.support.v7.widget.RecyclerView mRecyclerView

    - #### mAdapterList

          private MainProjectListAdapter mAdapterList

    - #### mTextViewEmpty

          private android.widget.TextView mTextViewEmpty

    - #### mViewBackground

          private android.view.View mViewBackground

    - #### mPresenter

          private MainProjectPresenter mPresenter

    - #### mProjectId

          private int mProjectId

    - #### onRefreshListener

          android.support.v4.widget.SwipeRefreshLayout.OnRefreshListener onRefreshListener

      SwipeRefreshLayout.OnRefreshListener

    - #### onMainProjectListListener

          MainProjectListContract.OnMainProjectListListener onMainProjectListListener

      MainProjectContract.OnMainProjectListListener

    - #### onClickListener

          android.view.View.OnClickListener onClickListener

      View.OnClickListener

  - ### Constructor Detail

    - #### MainProjectFragment

          public MainProjectFragment()

  - ### Method Detail

    - #### onCreateView

          @Nullable
          public android.view.View onCreateView(android.view.LayoutInflater inflater,
                                                          @Nullable
                                                          android.view.ViewGroup container,
                                                          android.os.Bundle savedInstanceState)

      Overrides:
        `onCreateView` in class `android.app.Fragment`

    - #### setProjectId

          public void setProjectId(int projectId)

      Specified by:
        `setProjectId` in interface `MainProjectContract.View`

    - #### onResume

          public void onResume()

      Overrides:
        `onResume` in class `android.app.Fragment`

    - #### setRefreshing

          public void setRefreshing(boolean refreshing)

      View
      Specified by:
        `setRefreshing` in interface `MainProjectContract.View`

    - #### setBackgroundView

          public void setBackgroundView(boolean visible)

      Description copied from interface: `MainProjectContract.View`
      자연스러운 화면 전환을 위해 흰 배경 처리
      Specified by:
        `setBackgroundView` in interface `MainProjectContract.View`
      Parameters:
        `visible` - Boolean

    - #### setEmptyView

          public void setEmptyView(boolean empty)

      Description copied from interface: `MainProjectContract.View`
      소속된 유닛이 없을 경우
      Specified by:
        `setEmptyView` in interface `MainProjectContract.View`
      Parameters:
        `empty` - Boolean